import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:tp5/core/core.dart';

class WCrew extends StatelessWidget {
  const WCrew(
      {super.key, this.college, this.mle, this.name, this.fname, this.base});

  final String? college;
  final String? mle;
  final String? name;
  final String? fname;
  final String? base;

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        SizedBox(
          width: 60,
          height: 30,
          child: Text(
            textAlign: TextAlign.right,
            college ?? '--',
            style: const TextStyle(
                fontWeight: FontWeight.w800,
                fontSize: 18,
                color: Colors.blueGrey),
            overflow: TextOverflow.clip,
          ),
        ),
        const Gap(10),
        Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text("${name?.capitalizeword()}${fname == null ? '' : ", $fname"}"),
            Row(
              crossAxisAlignment: CrossAxisAlignment.end,
              children: [
                Text(
                  mle ?? '-----',
                  style: const TextStyle(fontSize: 9),
                ),
                const Gap(20),
                Text(
                  base ?? '---',
                  style: const TextStyle(
                      fontSize: 12,
                      fontWeight: FontWeight.w600,
                      color: Colors.grey),
                ),
              ],
            )
          ],
        )
      ],
    );
  }
}
